%global fontname julietaula-montserrat
%global fontconf 61-%{fontname}-fonts.conf

Summary:         Sans-serif typeface
Name:            %{fontname}-fonts
Version:         7.222
Release:         5%{?dist}
License:         OFL-1.1
URL:             https://github.com/JulietaUla/Montserrat
Source0:         %{url}/archive/v%{version}.tar.gz#/Montserrat-%{version}.tar.gz
Source1:         %{fontconf}

BuildRequires:   fontpackages-devel
Requires:        fontpackages-filesystem

BuildArch:       noarch

%description
The Montserrat font project develops a typeface created by Julieta Ulanovsky who 
is inspired by the old posters and signs in the traditional neighborhood of Buenos 
Aires called Montserrat.

%prep
%autosetup -c -n %{name}-%{version}

%build

%install
pushd %{buildroot}
install -Dpm 0644 %_builddir/%{name}-%{version}/Montserrat-%{version}/fonts/ttf/*.ttf -t\
     .%{_fontdir}
install -Dpm 0644 %_builddir/%{name}-%{version}/Montserrat-%{version}/fonts/otf/*.otf -t\
     .%{_fontdir}

install -m 0755 -d .%{_fontconfig_templatedir} .%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} .%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} .%{_fontconfig_confdir}/%{fontconf}
popd

%files
%license Montserrat-%{version}/OFL.txt
%doc Montserrat-%{version}/CONTRIBUTORS.txt Montserrat-%{version}/README.md
%{_sysconfdir}/fonts/conf.d/%{fontconf}
%{_datadir}/fontconfig/conf.avail/%{fontconf}
%{_datadir}/fonts/%{fontname}/*.ttf
%{_datadir}/fonts/%{fontname}/*.otf

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 7.222-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.222-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.222-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.222-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 7.222-1
- initial build

